Subject: Re: [PATCH v7 1/5] Documentation/git-config.txt: add SCOPES section

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Jul 2022 12:01:06 -0700

Glen Choo <[email-masked]> writes:

>> Problem inherited from the original, but I suspect that rephrasing
>> "not available" to "missing" (or "does not exist") may make it
>> easier to follow.
>> ...
>
> The only change I'd suggest is to expand "missing" -> "missing or
> unreadable". The original wording is "not available", which could be
> interpreted to cover both cases. We'd obviously also have to amend
> "not available or readable" accordingly.

Probably.  I wonder if we should document that we at least warn when
a file we are expected to read exists but is not readable (instead
of simply saying "is ignored"), but other than that I agree with you.

> Thanks! Shall I apply your suggestions, or were you planning to apply
> them yourself?

Definitely not the latter ;-)